Loading...
Searching...
No Matches
casacore::WrapperData< T, U, V, hasX, hasParam > Class Template Reference
Functionals_module_internal_classes

More...

`#include <WrapperData.h>`

## Public Member Functions

| WrapperData ()
| Default constructor: to allow arrays of functions.
virtual | ~WrapperData ()
| Destructor.
virtual T | eval (typename Function< T >::FunctionArg, const V &) const
| Evaluate the function at x.
Public Member Functions inherited from casacore::WrapperBase< T >
| WrapperBase ()
| Default constructor: zero dimension.
| WrapperBase (const uInt dim)
| Standard constructor.
virtual | ~WrapperBase ()
| Destructor.
virtual T | eval (typename Function< T >::FunctionArg x, const Vector< T > &par) const =0
| Evaluate the function at x.
virtual uInt | ndim () const
| Get the dimensionality.

## Additional Inherited Members

Protected Attributes inherited from casacore::WrapperBase< T >
uInt | ndim_p
| Dimensionality.
Vector< T > | arg_p
| Vector argument interface.

## Detailed Description

template<class T, class U, class V, Bool hasX, Bool hasParam>
class casacore::WrapperData< T, U, V, hasX, hasParam >

Aid in constructing function objects from C++ functions

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Prerequisite

- Function class
- FunctionParam

### Synopsis

This class is provided to enable compile time selection of the appropriate function call. Each template incarnation represent a function call interface definition.

### Example

Float func(const Vector<Float>& x) {return x(0)*x(1);} // x*y
// Convert C++ functions to Functionals
FunctionWrapper<Float> Func(func, 2);
casacore::FunctionWrapper
Definition FunctionWrapper.h:84
casacore::Vector
Definition Vector.h:82
casacore::Float
float Float
Definition aipstype.h:52

Definition at line 65 of file WrapperData.h.

## Constructor & Destructor Documentation

## WrapperData()

template<class T, class U, class V, Bool hasX, Bool hasParam>

casacore::WrapperData< T, U, V, hasX, hasParam >::WrapperData | ( |  | ) |

Default constructor: to allow arrays of functions.

## ~WrapperData()

template<class T, class U, class V, Bool hasX, Bool hasParam>

virtual casacore::WrapperData< T, U, V, hasX, hasParam >::~WrapperData | ( |  | ) |

inline virtual

Destructor.

Definition at line 73 of file WrapperData.h.

## Member Function Documentation

## eval()

template<class T, class U, class V, Bool hasX, Bool hasParam>

virtual T casacore::WrapperData< T, U, V, hasX, hasParam >::eval | ( | typename Function< T >::FunctionArg | ,
|  | const V & | ) const

inline virtual

Evaluate the function at x.

Definition at line 78 of file WrapperData.h.

The documentation for this class was generated from the following file:

- scimath/Functionals/WrapperData.h